---
updatedAt: 2026-04-20T21:28:01.000Z
agentTools:
  projectIndex: https://docs.atlar.com/llms.txt
---

# List pending transactions

Returns a list of pending transactions. For further details on Pagination, see general section above.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Atlar API (v2)",
    "description": "Atlar API (v2)",
    "version": "0.1",
    "contact": {
      "email": "support@atlar.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.txt"
    }
  },
  "servers": [
    {
      "url": "https://api.atlar.com"
    }
  ],
  "tags": [
    {
      "name": "Events (webhooks)",
      "description": "Webhooks are automated notifications sent to a specified URL in response to events or changes.",
      "x-displayName": "Events (webhooks)"
    },
    {
      "name": "Pending Transactions",
      "description": "Pending transactions are indications of movement of funds that may be booked on an account.",
      "x-displayName": "Pending Transactions"
    }
  ],
  "paths": {
    "/financial-data/v2/pending-transactions": {
      "get": {
        "summary": "List pending transactions",
        "description": "Returns a list of pending transactions. For further details on Pagination, see general section above.",
        "tags": [
          "Pending Transactions"
        ],
        "parameters": [
          {
            "description": "Include only pending transactions associated with a given account.",
            "in": "query",
            "name": "accountId",
            "schema": {
              "type": "string",
              "examples": [
                "31d593d7-fff9-4783-aa1d-92acb7b21a19"
              ]
            }
          },
          {
            "description": "Include only pending transactions with property `date` matching the given value. The parameter value may be either a string for equality matching, or an object for range-like matching criteria.",
            "in": "query",
            "name": "date",
            "explode": true,
            "style": "deepObject",
            "schema": {
              "oneOf": [
                {
                  "type": "string",
                  "format": "date",
                  "example": "2022-01-15",
                  "description": "Include only pending transactions with `date` equal to the given value."
                },
                {
                  "type": "object",
                  "properties": {
                    "gte": {
                      "type": "string",
                      "format": "date",
                      "example": "2022-01-01",
                      "description": "Include only pending transactions with `date` after or equal to given date."
                    },
                    "lte": {
                      "type": "string",
                      "format": "date",
                      "example": "2022-01-31",
                      "description": "Include only pending transactions with `date` before or equal to given date."
                    },
                    "eq": {
                      "type": "string",
                      "format": "date",
                      "example": "2022-01-15",
                      "description": "Include only pending transactions with `date` equal to given date."
                    }
                  }
                }
              ]
            }
          },
          {
            "$ref": "#/components/parameters/QueryLimit"
          },
          {
            "$ref": "#/components/parameters/PaginationToken"
          }
        ],
        "responses": {
          "200": {
            "description": "List of pending transactions.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/ListResponse"
                    },
                    {
                      "properties": {
                        "items": {
                          "items": {
                            "$ref": "#/components/schemas/PendingTransaction"
                          },
                          "type": "array"
                        }
                      },
                      "type": "object"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          }
        },
        "security": [
          {
            "basicAuth": [
              "pending_transactions:read"
            ]
          }
        ]
      }
    }
  },
  "webhooks": {
    "resourceEvent": {
      "post": {
        "summary": "Resource event",
        "description": "Resource event delivered as a webhook request.",
        "security": [],
        "tags": [
          "Events (webhooks)"
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Webhook-Signature",
            "description": "Atlar Webhook request signature.\nPurpose: Makes it possible for your app to verify that the webhook was sent from Atlar (authenticity), and that the message hasn't been altered (integrity).\nSee details at https://docs.atlar.com/v2.0/docs/webhooks#webhook-security",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Webhook-Request-Timestamp",
            "description": "A timestamp specifying when the HTTP request was sent (by Atlar).\nPurpose: Used to mitigate replay attacks.\nSee details at https://docs.atlar.com/v2.0/docs/webhooks#webhook-security",
            "schema": {
              "type": "string",
              "format": "date-time",
              "example": "2022-10-11T10:13:14.000000015Z"
            }
          }
        ],
        "requestBody": {
          "description": "Resource event webhook payload.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EventWebhookPayload"
              },
              "examples": {
                "WebhookRequestPayload_ResourceEvent_CreditTransfer_Approval": {
                  "$ref": "#/components/examples/WebhookRequestPayload_ResourceEvent_CreditTransfer_Approval"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Return a 200 OK status to indicate that the data was received and processed successfully."
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "parameters": {
      "QueryLimit": {
        "in": "query",
        "name": "limit",
        "description": "Limit the number of items in resulting query response.",
        "schema": {
          "type": "integer",
          "default": 100,
          "minimum": 1,
          "maximum": 500
        }
      },
      "PaginationToken": {
        "in": "query",
        "name": "token",
        "description": "If a query response contains a non-empty `nextToken`, use that value as `token` query parameter to continue pagination.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "CreatedTimestamp": {
        "type": "string",
        "format": "date-time",
        "description": "Time at which the resource was created.",
        "example": "2022-05-04T18:31:12.889104898Z",
        "readOnly": true
      },
      "UpdatedTimestamp": {
        "type": "string",
        "format": "date-time",
        "description": "Time at which the resource was last updated.",
        "example": "2022-05-04T18:47:32.213842599Z",
        "readOnly": true
      },
      "ResourceID": {
        "type": "string",
        "description": "Unique resource identifier.",
        "minLength": 32,
        "maxLength": 64,
        "examples": [
          "2ed9a3ee-60aa-4f9f-a858-2eed4eefbbc8"
        ]
      },
      "ResourceVersion": {
        "type": "integer",
        "description": "Resource version. Starts at value `1` when the resource is\ncreated and increases by one for each successive update.",
        "example": 1,
        "minimum": 1,
        "readOnly": true
      },
      "ETag": {
        "type": "string",
        "description": "[ETag](https://en.wikipedia.org/wiki/HTTP_ETag) based on the\nresource version. This can be passed along in `If-Match` HTTP\nheader when updating a resource to perform a conditional\nupdate.",
        "pattern": "^version:\\d{1,4}$",
        "example": "version:3",
        "readOnly": true,
        "externalDocs": {
          "url": "https://en.wikipedia.org/wiki/HTTP_ETag"
        }
      },
      "OrganizationID": {
        "type": "string",
        "description": "Unique resource identifier for an Organization.",
        "examples": [
          "0160f6ab-5741-49e1-af46-9138927e547e"
        ]
      },
      "ListResponse": {
        "type": "object",
        "properties": {
          "items": {
            "description": "A list of resources."
          },
          "nextToken": {
            "description": "Pagination token for next page.\nThe value will be a non-empty string if there are more resources to be fetched.\nThe value will be an empty string if there are no more resources to be fetched.",
            "type": "string",
            "example": "eyIxIjogIlRoaXMgaXMgYSBkdW1teSBwYWdpbmF0aW9uIHRva2VuLiJ9"
          },
          "token": {
            "description": "The pagination token that was used for this request.\nThe value will be an empty string if no `token` query parameter was provided with the request.",
            "type": "string",
            "example": "eyIwIjogIlRoaXMgaXMgYSBkdW1teSBwYWdpbmF0aW9uIHRva2VuLiJ9"
          },
          "limit": {
            "description": "The page limit that was used for this request.",
            "example": 100,
            "type": "integer"
          }
        },
        "required": [
          "items",
          "nextToken",
          "token",
          "limit"
        ]
      },
      "Event": {
        "type": "object",
        "description": "A resource event.",
        "properties": {
          "id": {
            "type": "integer",
            "description": "The ID of the event.",
            "example": 1
          },
          "organizationId": {
            "$ref": "#/components/schemas/OrganizationID"
          },
          "entityId": {
            "description": "The ID of the API resource that this event belongs to.",
            "$ref": "#/components/schemas/ResourceID"
          },
          "type": {
            "$ref": "#/components/schemas/EventType"
          },
          "name": {
            "type": "string",
            "description": "The event name. Different resources have different sets of event names.",
            "example": "CREATED"
          },
          "timestamp": {
            "description": "When the event happened.",
            "type": "string",
            "format": "date-time",
            "example": "2022-08-20T12:20:40.866061374Z"
          },
          "details": {
            "description": "Additional details describing this event.",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "examples": [
              {
                "approvalStepId": "e741c062-19f6-46a0-be31-63dded5b0341"
              }
            ]
          },
          "message": {
            "type": "string",
            "description": "A message which could either be a message from the bank or an explanation of the event."
          },
          "originator": {
            "description": "The originator of the event which could be either a user ID, BANK or ATLAR.",
            "type": "string",
            "example": "ATLAR"
          }
        },
        "required": [
          "id",
          "organizationId",
          "entityId",
          "type",
          "name",
          "originator",
          "timestamp"
        ]
      },
      "CurrencyCode": {
        "type": "string",
        "description": "Three-letter ISO 4217 currency code.",
        "example": "EUR",
        "minLength": 3,
        "maxLength": 3,
        "pattern": "^[A-Z]{3,3}$"
      },
      "Amount": {
        "type": "object",
        "properties": {
          "currency": {
            "$ref": "#/components/schemas/CurrencyCode"
          },
          "stringValue": {
            "description": "A string representation of the amount value. This will be\na decimal number if the currency has decimals. The number\nis not formatted for display purposes (e.g. with locale\nspecific thousand separator) and always contains the dot\n`.` character as decimal separator.",
            "example": "15.02",
            "type": "string"
          },
          "value": {
            "description": "The amount value as an integer (int64) represented in\ncurrency minor units (e.g. 15.02 EUR is represented as the\nvalue 1502).",
            "example": 1502,
            "type": "integer",
            "format": "int64"
          }
        },
        "required": [
          "currency",
          "stringValue",
          "value"
        ]
      },
      "Date": {
        "type": "string",
        "format": "date",
        "description": "`full-date` notation as defined by [RFC 3339, section 5.6](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), for example, `2017-07-21`.",
        "example": "2022-05-07"
      },
      "AccountIdentifier": {
        "type": "object",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/AccountIdentifierType"
          },
          "market": {
            "$ref": "#/components/schemas/MarketCode",
            "description": "The market of the `AccountIdentifier` specifies in which market-context the identifier should be treated.\n\nA `NUMBER` from Sweden does not look and does not validate in the same way as a `NUMBER` from GB. The market\ncode is, in most cases, the same as where the account itself is domiciled, but not necessarily. An examples\nof this discrepancy is Jersey which may have domiciled accounts with market `JE`, but the account identifier\nwould be an `IBAN` with country code `GB`."
          },
          "number": {
            "type": "string",
            "description": "The unformatted identifier itself. For type `NUMBER` the structure of the account number is country-specific.",
            "minLength": 1,
            "maxLength": 255
          },
          "invalid": {
            "type": "boolean",
            "description": "Will be `true` if the account identifier is invalid according to Atlar account identifier validation rules.",
            "readOnly": true
          }
        },
        "required": [
          "type",
          "market",
          "number"
        ],
        "examples": [
          {
            "type": "IBAN",
            "market": "DE",
            "number": "DE75512108001245126199"
          },
          {
            "type": "NUMBER",
            "market": "GB",
            "number": "12345678"
          },
          {
            "type": "NUMBER",
            "market": "SE",
            "number": "6114517182351"
          },
          {
            "type": "IBAN",
            "market": "DE",
            "number": "123",
            "invalid": true
          }
        ]
      },
      "Metadata": {
        "type": [
          "object",
          "null"
        ],
        "additionalProperties": {
          "type": "string"
        },
        "description": "Metadata is a `string-string` key-value container that\ncan be used to store information known at the time of resource\ncreation. This can be retrieved later on, for instance when a\npayment or expected transaction is reconciled with the booked\ntransaction on the bank statement.\n\nMetadata can have at most 20 entries. Keys may have a\nmaximum length of 64 chars and values a maximum length of 512\nchars.\n\nBy default, this field is optional. It is possible to make it\nrequired in the Atlar Dashboard by visiting the [Metadata keys\npage](https://app.atlar.com/metadata-keys). Requirement rules\ncan be specified per API resource. Both the Dashboard and the\nAPI will then enforce these rules and give validation errors\nwhen the required fields are not set.",
        "maxProperties": 20,
        "example": {
          "my_metadata_key": "2a9a79b9-601c-449b-aa05-432f41dbbc4a"
        },
        "x-omitempty": true
      },
      "MarketCode": {
        "type": "string",
        "description": "Two-letter ISO 3166-1 alpha2 country code.",
        "example": "DE",
        "minLength": 2,
        "maxLength": 2,
        "pattern": "^[A-Z]{2,2}$"
      },
      "NationalIdentifier": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "Type of the national identifier.",
            "enum": [
              "CIVIC",
              "COMPANY"
            ],
            "example": "CIVIC"
          },
          "market": {
            "$ref": "#/components/schemas/MarketCode"
          },
          "number": {
            "type": "string",
            "description": "The identifier itself.",
            "example": "2012121212"
          }
        },
        "required": [
          "type",
          "market",
          "number"
        ]
      },
      "CountryCode": {
        "type": "string",
        "description": "Two-letter ISO 3166-1 alpha2 country code.",
        "example": "DE",
        "minLength": 2,
        "maxLength": 2,
        "pattern": "^[A-Z]{2,2}$"
      },
      "CountrySubdivision": {
        "type": "string",
        "description": "Country subdivision code (second part of the ISO 3166-2 code).\nE.g. state code `CA` for the state of California in the USA, `ON` for the province of Ontario in Canada, `NSW` for the state of New South Wales in Australia.\nISO 3166-2 codes can be found on the ISO website, for example, for the USA: https://www.iso.org/obp/ui/#iso:code:3166:US.\nIn the USA the state code is required for domestic payments, in Canada the province code is required for domestic payments.",
        "example": "US-CA",
        "maxLength": 6,
        "pattern": "^[A-Z]{2,2}-[A-Z0-9]{1,3}$"
      },
      "AccountIdentifierType": {
        "type": "string",
        "enum": [
          "IBAN",
          "NUMBER",
          "ADYEN",
          "AU_BPAY_BILLER_CODE",
          "DK_FIK",
          "INVESTMENT_NUMBER",
          "NATIONAL_ID_NUMBER",
          "PAYPAL",
          "PROPRIETARY",
          "SE_BANKGIRO",
          "SE_PLUSGIRO",
          "SOLDO",
          "WALLET_ADYEN_BALANCE_PLATFORM",
          "WALLET_AIRWALLEX",
          "WALLET_AIRWALLEX_NUMBER",
          "WALLET_CURRENCYCLOUD",
          "WALLET_FLASH_PAYMENTS",
          "WALLET_FREEMARKET",
          "WALLET_HYPERWALLET",
          "WALLET_INPAY",
          "WALLET_LEAD",
          "WALLET_MERCURY",
          "WALLET_MONEYCORP",
          "WALLET_PAYHAWK",
          "WALLET_REVOLUT",
          "WALLET_SKRILL",
          "WALLET_STRIPE",
          "WALLET_SWISSQUOTE",
          "WALLET_UNIT"
        ],
        "description": "Account Identifier type. Choose among:\n<ul>\n<li><code>IBAN</code> — IBAN</li>\n<li><code>NUMBER</code> — Account number</li>\n<li><code>ADYEN</code> — Adyen identifier</li>\n<li><code>AU_BPAY_BILLER_CODE</code> — Australian BPAY Biller Code</li>\n<li><code>DK_FIK</code> — FIK creditor number</li>\n<li><code>INVESTMENT_NUMBER</code> — Investment number</li>\n<li><code>NATIONAL_ID_NUMBER</code> — National Identification Number</li>\n<li><code>PAYPAL</code> — PayPal wallet identifier</li>\n<li><code>PROPRIETARY</code> — Proprietary identifier</li>\n<li><code>SE_BANKGIRO</code> — <a href=\"https://www.bankgirot.se/en/\">Bankgiro number</a></li>\n<li><code>SE_PLUSGIRO</code> — <a href=\"https://www.nordea.se/foretag/produkter/betala/plusgirot.html\">Plusgiro number</a></li>\n<li><code>SOLDO</code> — Soldo entity identifier</li>\n<li><code>WALLET_ADYEN_BALANCE_PLATFORM</code> — Adyen balance platform wallet identifier</li>\n<li><code>WALLET_AIRWALLEX</code> — Airwallex wallet identifier</li>\n<li><code>WALLET_AIRWALLEX_NUMBER</code> — Airwallex account number</li>\n<li><code>WALLET_CURRENCYCLOUD</code> — Currencycloud wallet identifier</li>\n<li><code>WALLET_FLASH_PAYMENTS</code> — Flash Payments wallet identifier</li>\n<li><code>WALLET_FREEMARKET</code> — Freemarket wallet identifier</li>\n<li><code>WALLET_HYPERWALLET</code> — Hyperwallet wallet identifier</li>\n<li><code>WALLET_INPAY</code> — Inpay account identifier</li>\n<li><code>WALLET_LEAD</code> — Lead wallet identifier</li>\n<li><code>WALLET_MERCURY</code> — Mercury wallet identifier</li>\n<li><code>WALLET_MONEYCORP</code> — Moneycorp wallet identifier</li>\n<li><code>WALLET_PAYHAWK</code> — Payhawk wallet identifier</li>\n<li><code>WALLET_REVOLUT</code> — Revolut wallet identifier</li>\n<li><code>WALLET_SKRILL</code> — Skrill wallet identifier</li>\n<li><code>WALLET_STRIPE</code> — Stripe wallet identifier</li>\n<li><code>WALLET_SWISSQUOTE</code> — Swissquote wallet identifier</li>\n<li><code>WALLET_UNIT</code> — Unit wallet identifier</li>\n</ul>\nFor further information please refer to <a href=\"https://docs.atlar.com/v2.0/docs/payment-details#account-identifiers\">Account Identifiers</a>",
        "example": "IBAN"
      },
      "RoutingIdentifierType": {
        "type": "string",
        "enum": [
          "BIC",
          "AT_BLZ",
          "AU_BSB",
          "BD_BRN",
          "BR_BRANCH",
          "BR_COMPE",
          "BR_ISP",
          "CA_CPA",
          "CH_BCC",
          "CH_SIC",
          "CL_SBIF",
          "CN_APS",
          "CZ_NBC",
          "DE_BLZ",
          "ES_NCC",
          "GB_DSC",
          "GR_BIC",
          "HK_NCC",
          "IE_NCC",
          "IL_NCC",
          "IN_FSC",
          "IT_NCC",
          "JP_ZGN",
          "KR_BOK",
          "KR_KFTC",
          "MX_ABM",
          "MY_NCC",
          "NZ_NCC",
          "PH_BRSTN",
          "PL_KNR",
          "PT_NCC",
          "RU_CBC",
          "SE_SBA",
          "SG_IBG",
          "TH_CBC",
          "TW_NCC",
          "US_ABA",
          "US_PID",
          "VN_CITAD",
          "ZA_NCC"
        ],
        "description": "A routing identifier of type `BIC` must be provided to support cross-border/SWIFT payments.",
        "example": "BIC"
      },
      "RoutingConstraints": {
        "description": "Constraints on a `RoutingIdentifier`.",
        "type": "object",
        "properties": {
          "accountNumberType": {
            "$ref": "#/components/schemas/AccountIdentifierType",
            "x-go-type-skip-optional-pointer": true
          },
          "scheme": {
            "type": "string"
          }
        }
      },
      "RoutingIdentifier": {
        "type": "object",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/RoutingIdentifierType"
          },
          "number": {
            "type": "string",
            "description": "The form of the routing number depends on `type`. E.g. for `BIC` the value should be an 8 or 11 character BIC/SWIFT code. For `GB_DSC` (UK domestic routing) the value should be a six digit sort code.",
            "minLength": 1,
            "maxLength": 255
          },
          "invalid": {
            "type": "boolean",
            "description": "Will be `true` if the routing identifier is invalid according to Atlar validation rules.",
            "readOnly": true
          },
          "constraints": {
            "$ref": "#/components/schemas/RoutingConstraints"
          }
        },
        "required": [
          "type",
          "number"
        ],
        "examples": [
          {
            "type": "BIC",
            "number": "BUKBGB22"
          },
          {
            "type": "US_ABA",
            "number": "123456789"
          },
          {
            "type": "DE_BLZ",
            "number": "12345678"
          },
          {
            "type": "SE_SBA",
            "number": "9960"
          },
          {
            "type": "BIC",
            "number": "123",
            "invalid": true
          }
        ]
      },
      "CounterpartyAccount": {
        "type": "object",
        "description": "Account information about the counterparty in the transaction.",
        "properties": {
          "market": {
            "$ref": "#/components/schemas/MarketCode",
            "readOnly": true
          },
          "identifiers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AccountIdentifier"
            },
            "uniqueItems": true,
            "readOnly": true
          },
          "routing": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RoutingIdentifier"
            },
            "uniqueItems": true,
            "readOnly": true,
            "x-omitempty": true
          },
          "rawIdentifier": {
            "type": "string",
            "readOnly": true
          }
        },
        "required": [
          "identifiers",
          "rawIdentifier"
        ]
      },
      "CounterpartyDetails": {
        "type": "object",
        "properties": {
          "partyType": {
            "type": "string",
            "description": "The legal type of the counterparty.",
            "readOnly": true,
            "enum": [
              "INDIVIDUAL",
              "COMPANY"
            ],
            "example": "INDIVIDUAL"
          },
          "name": {
            "type": "string",
            "description": "Name of the counterparty.",
            "readOnly": true,
            "example": "Customer #312"
          },
          "nationalIdentifier": {
            "$ref": "#/components/schemas/NationalIdentifier",
            "readOnly": true
          },
          "address": {
            "description": "Address details of the counterparty.",
            "type": "object",
            "properties": {
              "country": {
                "$ref": "#/components/schemas/CountryCode",
                "x-go-type-skip-optional-pointer": true
              },
              "countrySubdivision": {
                "$ref": "#/components/schemas/CountrySubdivision",
                "x-go-type-skip-optional-pointer": true
              },
              "city": {
                "example": "Stockholm",
                "type": "string",
                "maxLength": 64
              },
              "postalCode": {
                "example": "11111",
                "type": "string",
                "maxLength": 16
              },
              "streetName": {
                "example": "Example street",
                "type": "string",
                "maxLength": 64
              },
              "streetNumber": {
                "example": "47",
                "type": "string",
                "maxLength": 16
              },
              "rawAddressLines": {
                "type": "array",
                "description": "International unstructured address lines, as they might appear on a mailing label.",
                "items": {
                  "type": "string",
                  "maxLength": 255
                },
                "maxItems": 5
              }
            },
            "readOnly": true
          },
          "account": {
            "$ref": "#/components/schemas/CounterpartyAccount",
            "readOnly": true
          }
        }
      },
      "ErrorDetails": {
        "type": "object",
        "description": "Error detail.",
        "properties": {
          "code": {
            "description": "An error code for this error. Not always present.",
            "example": "invalid_value",
            "type": "string"
          },
          "error": {
            "description": "A description of this specific error.",
            "example": "Must be one of [direct_debits mandates payments]",
            "type": "string"
          },
          "field": {
            "description": "The field which has an error. This only set if the error has to do with a specific field, such as for validation errors. Nested fields are concatenated with `.`, as well as indexed fields in lists.",
            "example": "filter.0.resource",
            "type": "string"
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "description": "Error response.",
        "properties": {
          "status": {
            "description": "The HTTP status code.",
            "example": 400,
            "type": "integer",
            "readOnly": true
          },
          "message": {
            "description": "A top-level message describing the error(s).",
            "example": "There is some problem with the data you submitted.",
            "type": "string",
            "readOnly": true
          },
          "details": {
            "description": "A list of details for each error that occurred.",
            "items": {
              "$ref": "#/components/schemas/ErrorDetails"
            },
            "type": "array",
            "readOnly": true,
            "x-omitempty": true
          }
        }
      },
      "EventType": {
        "type": "string",
        "description": "Event type.",
        "enum": [
          "CREATED",
          "UPDATED",
          "DELETED"
        ]
      },
      "CurrencyExchange": {
        "type": "object",
        "properties": {
          "exchangeRate": {
            "type": "string",
            "description": "The exchange rate that was reported by the bank. Atlar will not try to calculate this in cases where the information isn't present.",
            "example": "11.21320",
            "readOnly": true
          },
          "sourceCurrency": {
            "description": "The currency from which the amount was converted.",
            "$ref": "#/components/schemas/CurrencyCode",
            "readOnly": true
          },
          "targetCurrency": {
            "description": "The currency to which the amount was converted.",
            "$ref": "#/components/schemas/CurrencyCode",
            "readOnly": true
          },
          "unitCurrency": {
            "description": "One unit of this currency multiplied by the exchange rate will equal the target currency.",
            "$ref": "#/components/schemas/CurrencyCode",
            "readOnly": true
          }
        },
        "required": [
          "sourceCurrency",
          "exchangeRate"
        ],
        "example": {
          "sourceCurrency": "EUR",
          "targetCurrency": "SEK",
          "unitCurrency": "EUR",
          "exchangeRate": "11.21320"
        }
      },
      "ProprietaryBankTransactionCode": {
        "type": "object",
        "description": "Proprietary bank transaction codes are provided when the bank provides a proprietary transaction code. This field will be set as the code provided by the bank.",
        "properties": {
          "code": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 35,
            "x-omitempty": true
          },
          "issuer": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 35,
            "x-omitempty": true
          }
        }
      },
      "BankTransactionCode": {
        "type": "object",
        "description": "ISO 20022 Bank Transaction Code",
        "externalDocs": {
          "url": "https://www.iso20022.org/catalogue-messages/additional-content-messages/external-code-sets"
        },
        "properties": {
          "domain": {
            "type": "string",
            "description": "ISO 20022 BTC Domain - Defines the business area of the underlying transaction, e.g. payments or cash management.",
            "example": "PMNT",
            "maxLength": 4
          },
          "family": {
            "type": [
              "string",
              "null"
            ],
            "description": "ISO 20022 BTC Family - May for example define the type of transaction, e.g. credit transfer or direct debit.",
            "example": "IDDT",
            "maxLength": 4,
            "x-omitempty": true
          },
          "subfamily": {
            "type": [
              "string",
              "null"
            ],
            "description": "ISO 20022 BTC Subfamily - May for example specify a scheme specific transaction type, e.g. SEPA credit transfer, or a Cross-Border credit transfer.",
            "example": "ESCT",
            "maxLength": 4,
            "x-omitempty": true
          },
          "proprietary": {
            "$ref": "#/components/schemas/ProprietaryBankTransactionCode"
          },
          "description": {
            "type": [
              "string",
              "null"
            ],
            "description": "Free-form textual description of the Bank Transaction Code.",
            "example": "SEPA Credit Transfer",
            "x-omitempty": true
          }
        },
        "required": [
          "domain"
        ]
      },
      "ChargeBearer": {
        "type": "string",
        "description": "Charge bearer specifies which party should bear the charges of the transaction.",
        "enum": [
          "SHARED",
          "DEBTOR",
          "CREDITOR",
          "SERVICE_LEVEL"
        ],
        "example": "SHARED"
      },
      "ChargeIncluded": {
        "type": "string",
        "description": "Whether the charge is included in the transaction amount.",
        "enum": [
          "INCLUDED",
          "NOT_INCLUDED",
          "UNSPECIFIED"
        ],
        "example": "INCLUDED"
      },
      "ReturnReason": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "readOnly": true
          },
          "description": {
            "type": "string",
            "readOnly": true
          },
          "originalBankTransactionCode": {
            "description": "Bank transaction code (BTC) of original transaction.",
            "$ref": "#/components/schemas/BankTransactionCode",
            "readOnly": true
          }
        }
      },
      "BatchInformation": {
        "type": "object",
        "description": "Information about the batch that the transaction belongs to.",
        "properties": {
          "transactionCount": {
            "type": "integer",
            "description": "The number of transactions in the batch.",
            "example": 10,
            "readOnly": true
          },
          "totalAmount": {
            "description": "The total amount of all transactions in the batch.",
            "$ref": "#/components/schemas/Amount",
            "readOnly": true
          }
        },
        "example": {
          "transactionCount": 10,
          "totalAmount": {
            "value": 100000,
            "stringValue": "1000.00",
            "currency": "EUR"
          }
        },
        "required": [
          "transactionCount"
        ]
      },
      "ChargeType": {
        "type": "string",
        "description": "Charge type specifies the kind of charge on a transaction.",
        "enum": [
          "BROKERAGE_FEE",
          "COMMISSION",
          "SUMMATION",
          "BATCH",
          "AMENDMENT",
          "CANCELLATION_FEE",
          "CLEARING_FEE",
          "INVESTIGATION",
          "INTEREST",
          "NON_STP_CHARGES",
          "BORNE_BY_DEBTOR",
          "TELECOMMUNICATION_CHARGES",
          "ACCOUNT_MAINTENANCE_FEE",
          "REPORTING_CHARGES"
        ],
        "example": "BATCH"
      },
      "EventWebhookPayload": {
        "type": "object",
        "description": "A resource event payload when sent as a webhook.",
        "properties": {
          "resource": {
            "description": "Resource name.",
            "type": "string",
            "examples": [
              "credit_transfers",
              "transactions",
              "accounts"
            ]
          },
          "event": {
            "$ref": "#/components/schemas/Event"
          },
          "entity": {
            "description": "A snapshot of the resource entity, after the event / changes impacted the entity.",
            "type": "object"
          },
          "apiVersion": {
            "description": "Atlar API (major) version. This toghether with the `resource` dictates the structure of `entity`.",
            "type": "integer",
            "example": 2
          }
        },
        "required": [
          "resource",
          "event",
          "entity",
          "apiVersion"
        ]
      },
      "PendingTransaction": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/ResourceID",
            "example": "e37235aa-adab-11ec-8029-96ac651c9332"
          },
          "organizationId": {
            "$ref": "#/components/schemas/OrganizationID"
          },
          "accountId": {
            "type": "string",
            "description": "The ID of the account which the transactions occurs on.",
            "example": "31d593d7-fff9-4783-aa1d-92acb7b21a19",
            "readOnly": true
          },
          "date": {
            "description": "The booking date of the transaction on your account. This is a local date with no timezone from your account's point-of-view. NB! This is a PendingTransaction, and not an actual reported Booked Transaction. This date may differ from the actual booking date of the transaction.",
            "$ref": "#/components/schemas/Date",
            "example": "2022-05-01",
            "readOnly": true
          },
          "amount": {
            "$ref": "#/components/schemas/Amount",
            "readOnly": true
          },
          "reference": {
            "type": "string",
            "description": "Transaction reference. (This type of reference is sometimes also referred to as remittance information.)",
            "example": "invoice-2022-05-03-012345",
            "readOnly": true
          },
          "references": {
            "$ref": "#/components/schemas/TransactionReferences",
            "readOnly": true
          },
          "counterparty": {
            "$ref": "#/components/schemas/CounterpartyDetails",
            "readOnly": true
          },
          "description": {
            "type": "string",
            "description": "In most cases, the description will contain the same value (text) as the remittance information.\nIf the remittance information lacks clarity or meaning, the description can be derived from\nthe bank transaction code instead. This description field is intended solely for displaying\na meaningful description to users.",
            "example": "Invoice #123",
            "readOnly": true
          },
          "instructedAmount": {
            "description": "The amount that the initiator of the transaction instructed.",
            "$ref": "#/components/schemas/Amount",
            "readOnly": true
          },
          "bankTransactionCode": {
            "$ref": "#/components/schemas/BankTransactionCode",
            "readOnly": true
          },
          "valueDate": {
            "description": "Value date of the transaction on your account. This is a local date with no timezone from your account's point-of-view. NB! This is a PendingTransaction, and not an actual reported Booked Transaction. This date may differ from the actual value date of the booked transaction.",
            "$ref": "#/components/schemas/Date",
            "example": "2022-05-02",
            "readOnly": true
          },
          "returned": {
            "type": "boolean",
            "description": "Whether or not the transaction is considered a return or reversal.",
            "example": false,
            "readOnly": true
          },
          "returnReason": {
            "description": "Populated if the transaction is a return transaction, e.g. a payment reversal/return.",
            "$ref": "#/components/schemas/ReturnReason",
            "readOnly": true
          },
          "currencyExchange": {
            "description": "If any currency conversion happened at the bank holding the account, conversion details may be present here.",
            "$ref": "#/components/schemas/CurrencyExchange",
            "readOnly": true
          },
          "charges": {
            "description": "Charges associated with the transaction, as reported by the bank.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TransactionCharge"
            },
            "readOnly": true,
            "x-omitempty": true
          },
          "virtualAccount": {
            "description": "If a virtual account was used for the transaction the details of that virtual account may be present here.",
            "$ref": "#/components/schemas/TransactionVirtualAccount",
            "readOnly": true
          },
          "batchInformation": {
            "description": "Information about the batch that the transaction belongs to.",
            "$ref": "#/components/schemas/BatchInformation",
            "readOnly": true
          },
          "created": {
            "$ref": "#/components/schemas/CreatedTimestamp"
          },
          "updated": {
            "$ref": "#/components/schemas/UpdatedTimestamp"
          },
          "version": {
            "$ref": "#/components/schemas/ResourceVersion"
          },
          "etag": {
            "$ref": "#/components/schemas/ETag"
          },
          "metadata": {
            "$ref": "#/components/schemas/Metadata",
            "readOnly": true
          }
        },
        "required": [
          "id",
          "organizationId",
          "accountId",
          "date",
          "amount",
          "description",
          "created",
          "updated",
          "version",
          "etag",
          "returned"
        ]
      },
      "TransactionReferences": {
        "description": "References and identifiers associated with a transaction.",
        "type": "object",
        "properties": {
          "mandateReference": {
            "type": "string",
            "description": "Populated if a (debit) mandate reference was given on the transaction by the bank. Typically, if a transaction stems from a direct debit payment, the mandate reference that was used to pull the funds will be given.",
            "example": "123456",
            "readOnly": true
          },
          "endToEndId": {
            "type": "string",
            "description": "A reference that can be set by the payment initiator that should follow the payment \"end to end\". Atlar will utilize this reference for tracking payments.",
            "example": "123456",
            "readOnly": true
          },
          "bankTransactionReference": {
            "type": "string",
            "description": "A reference the bank gives the transaction.",
            "example": "123456",
            "readOnly": true
          }
        }
      },
      "TransactionCharge": {
        "type": "object",
        "properties": {
          "amount": {
            "description": "The amount of the charge.",
            "$ref": "#/components/schemas/Amount"
          },
          "type": {
            "description": "The charge type, if reported by the bank.",
            "$ref": "#/components/schemas/ChargeType"
          },
          "proprietaryType": {
            "description": "The proprietary type of the charge, if reported by the bank.",
            "type": "string"
          },
          "chargeBearer": {
            "description": "The charge bearer, if reported by the bank.",
            "$ref": "#/components/schemas/ChargeBearer"
          },
          "included": {
            "description": "Whether the charge is included in the transaction amount, if reported by the bank.",
            "$ref": "#/components/schemas/ChargeIncluded"
          }
        },
        "required": [
          "amount",
          "included"
        ]
      },
      "TransactionVirtualAccount": {
        "type": "object",
        "description": "Account information about the virtual account used in the transaction.",
        "properties": {
          "market": {
            "$ref": "#/components/schemas/MarketCode",
            "readOnly": true
          },
          "identifiers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AccountIdentifier"
            },
            "minItems": 1,
            "uniqueItems": true,
            "readOnly": true
          },
          "routing": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RoutingIdentifier"
            },
            "uniqueItems": true,
            "readOnly": true,
            "x-omitempty": true
          }
        },
        "required": [
          "identifiers"
        ]
      }
    },
    "responses": {
      "BadRequest": {
        "description": "Bad request.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "status": 400,
              "message": "There is some problem with the data you submitted."
            }
          }
        }
      }
    },
    "examples": {
      "WebhookRequestPayload_ResourceEvent_CreditTransfer_Approval": {
        "summary": "Credit transfer event",
        "value": {
          "resource": "credit_transfers",
          "event": {
            "id": 3,
            "type": "UPDATED",
            "name": "FULLY_APPROVED",
            "timestamp": "2022-05-04T18:47:32.213842599Z",
            "originator": "ATLAR",
            "message": "Automatically approved",
            "organizationId": "0160f6ab-5741-49e1-af46-9138927e547e",
            "entityId": "ec079994-619c-42e9-ac06-b50d4beea2e4"
          },
          "entity": {
            "id": "76992987-48fc-4b03-b609-ea6fdc3045b4",
            "organizationId": "0160f6ab-5741-49e1-af46-9138927e547e",
            "amount": {
              "currency": "EUR",
              "value": 1502,
              "stringValue": "15.02"
            },
            "date": "2022-05-07",
            "scheme": "SCT",
            "status": "APPROVED",
            "reference": "ref-2022-05-03-001",
            "source": {
              "id": "ac1963d7-fff9-4783-aa1d-92acb7b21a19",
              "type": "ACCOUNT",
              "organizationId": "0160f6ab-5741-49e1-af46-9138927e547e",
              "market": "DE",
              "currency": "EUR",
              "identifiers": [
                {
                  "market": "DE",
                  "type": "IBAN",
                  "number": "DE89370400440532013000"
                }
              ]
            },
            "sourceHolder": {
              "id": "ec079994-619c-42e9-ac06-b50d4beea2e4",
              "type": "ENTITY",
              "legalName": "Example Company GmbH"
            },
            "destinationHolder": {
              "id": "c151b61e-33cc-4f89-ac8d-328f9efa59e9",
              "type": "COUNTERPARTY",
              "legalName": "Max Müller",
              "address": {
                "country": "DE",
                "city": "Berlin",
                "postalCode": "10557"
              }
            },
            "destination": {
              "id": "eac1d236-2904-4b01-8e85-a4ef3a73c353",
              "type": "EXTERNAL_ACCOUNT",
              "organizationId": "0160f6ab-5741-49e1-af46-9138927e547e",
              "market": "DE",
              "identifiers": [
                {
                  "market": "DE",
                  "type": "IBAN",
                  "number": "DE75512108001245126199"
                }
              ],
              "routing": [
                {
                  "type": "BIC",
                  "number": "SOGEDEFFXXX"
                }
              ]
            },
            "approvalSteps": [
              {
                "id": "52699442-e06f-4cda-b2a8-cdeca08ff9d3",
                "approvalChainId": "ac0141ba-c0be-46ed-8542-7313355bab27",
                "status": "APPROVED",
                "autoApproved": false,
                "approver": {
                  "id": "266f4e96-c614-465e-a1a9-1736a7c20bab",
                  "username": "owner@example.com"
                },
                "requiredRoleIds": [
                  "ee4e4acd-9ff0-445f-9cf5-f09350ba15b6"
                ],
                "updated": "2022-05-04T18:47:32.213842599Z"
              }
            ],
            "attachedTransactions": [],
            "version": 3,
            "etag": "version:3",
            "created": "2022-05-04T18:31:12.889104898Z",
            "updated": "2022-05-04T18:47:32.213842599Z"
          },
          "apiVersion": 2
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Atlar Accounting API",
      "tags": [
        "Documents",
        "GL Entities",
        "GL Accounts"
      ]
    },
    {
      "name": "Atlar Analytics API",
      "tags": [
        "Forecasted Transactions"
      ]
    },
    {
      "name": "Atlar Connectivity API",
      "tags": [
        "Connections"
      ]
    },
    {
      "name": "Atlar Payments API",
      "tags": [
        "Credit Transfers",
        "Direct Debits",
        "External Accounts",
        "Counterparties",
        "Mandates",
        "Events (webhooks)",
        "Regulatory Reporting"
      ]
    },
    {
      "name": "Atlar Financial Data API",
      "tags": [
        "Accounts",
        "Transactions",
        "Pending Transactions",
        "Entities",
        "Investments"
      ]
    },
    {
      "name": "Atlar IAM API",
      "tags": [
        "OAuth",
        "Audit logs"
      ]
    },
    {
      "name": "Atlar Platform API",
      "tags": [
        "Webhooks"
      ]
    }
  ]
}
```